Description: Use dpkg-buildflags
Author: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Last-Update: 2020-10-29
Forwarded: not-needed

--- a/build-win64.txt
+++ b/build-win64.txt
@@ -7,8 +7,10 @@
 
 [properties]
 needs_exe_wrapper = true
-c_args=['-m64', '-fvisibility=hidden']
-cpp_args=['-m64', '-fvisibility=hidden', '-fvisibility-inlines-hidden', '-D__WIDL_objidl_generated_name_0000000C=']
+c_args=['-m64', '-fvisibility=hidden' ${CPPFLAGS_MESON} ${CFLAGS_MESON}]
+cpp_args=['-m64', '-fvisibility=hidden', '-fvisibility-inlines-hidden', '-D__WIDL_objidl_generated_name_0000000C=' ${CPPFLAGS_MESON} ${CXXFLAGS_MESON}]
+c_link_args = ['-m64', '-fvisibility=hidden' ${CFLAGS_MESON}]
+cpp_link_args = ['-m64', '-fvisibility=hidden', '-fvisibility-inlines-hidden', '-D__WIDL_objidl_generated_name_0000000C=' ${CXXFLAGS_MESON}]
 
 [host_machine]
 system = 'windows'
--- a/build-win32.txt
+++ b/build-win32.txt
@@ -7,6 +7,10 @@
 
 [properties]
 needs_exe_wrapper = true
+c_args=['-msse', '-msse2' ${CPPFLAGS_MESON} ${CFLAGS_MESON}]
+cpp_args=['-msse', '-msse2' ${CPPFLAGS_MESON} ${CXXFLAGS_MESON}]
+c_link_args = ['-msse', '-msse2' ${CFLAGS_MESON}]
+cpp_link_args = ['-msse', '-msse2' ${CXXFLAGS_MESON}]
 
 [host_machine]
 system = 'windows'
